import browser from 'webextension-polyfill'

import PageActionButton from './PageActionButton'
import { toggleEnabled, isEnabled, onEnabledChange } from './perOrigin'

const pageActionButton = PageActionButton({
  visible: tab => true,
  icon: async tab => (await isEnabled(tab.url)) ? '/icon_enabled.svg' : '/icon_disabled.svg',
  onClicked: async tab => toggleEnabled(tab.url)
})
